Edited at

Android Support Libraryのバージョン指定が面倒なのでproperty化する

More than 3 years have passed since last update.

Androidの開発では様々なライブラリを使用するが、とくにAndroid Support Libraryは数が多いためバージョンアップの時に書き換えるのが面倒である。


gradle.propertiesにプロパティを追加


android_support_lib_version = 24.1.0


build.gradleを修正

dependencies {

compile "com.android.support:appcompat-v7:${android_support_lib_version}"
compile "com.android.support:cardview-v7:${android_support_lib_version}"
compile "com.android.support:recyclerview-v7:${android_support_lib_version}"

compile 'com.jakewharton:butterknife:7.0.0'
}

もしgradle.propertiesに書くのはちょっと、、、、という方はローカル変数としてbuild.gradleに定義する

def android_support_lib_version = "24.1.0"

dependencies {

}

参考:

https://github.com/google/iosched

http://gradle.monochromeroad.com/docs/userguide/writing_build_scripts.html